var stepselect_job=new Array();
stepselect_job[0]=["销售",563,0];
stepselect_job[1]=["房地产开发",564,0];
stepselect_job[2]=["计算机/IT",565,0];
stepselect_job[3]=["行政人事",566,0];
stepselect_job[4]=["计算机|网络|技术",567,0];
stepselect_job[5]=["市场|公关",568,0];
stepselect_job[6]=["售后|客服|文员",569,0];
stepselect_job[7]=["美工|设计|创意",570,0];
stepselect_job[8]=["商业|零售服务",571,0];
stepselect_job[9]=["电子|电器|通信",572,0];
stepselect_job[10]=["贸易|物流|采购",573,0];
stepselect_job[11]=["金融|证券|保险",574,0];
stepselect_job[12]=["人力资源|行政",575,0];
stepselect_job[13]=["会计|财务|出纳",576,0];
stepselect_job[14]=["经营|管理",577,0];
stepselect_job[15]=["咨询|翻译|法律",578,0];
stepselect_job[16]=["文体|影视|媒体",579,0];
function killerror_job()
{
	return true; 
}
 
window.onerror=killerror_job;

var job_top_select=document.getElementById(stepselect+"_top_select");
var job_self_select=document.getElementById(stepselect+"_self_select");
var job_son_select=document.getElementById(stepselect+"_son_select");

job_top_select.options[0]=new Option("请选择..",0);
job_self_select.options[0]=new Option("请选择..",0);
job_son_select.options[0]=new Option("请选择..",0);

job_self_select.style.display="none";
job_son_select.style.display="none";

//function load_job_config()
//{
	for(var i=0,n=1;i<stepselect_job.length;i++)
	{
		if(stepselect_job[i][2]==0)
		{
			job_top_select.options[n]=null;
			job_top_select.options[n]=new Option(stepselect_job[i][0],stepselect_job[i][1]);
			n++;
		}
	}
	job_top_select.focus();
//}

function reset_jobselectnemu()
{
	job_top_select.options[0]=new Option("请选择..",0);
	job_top_select.value=0;
	job_top_select.disabled="";
}

function get_jobself_select(name,table,value)
{
	job_self_select.options.length=1;
	job_son_select.options.length=1;
	
	job_self_select.style.display="none";
	job_son_select.style.display="none";
	
	if(job_top_select.value!=0)
	{
		for(var i=0,n=1;i<stepselect_job.length;i++)
		{
			if(stepselect_job[i][2]==job_top_select.value)
			{
				job_self_select.options[n]=null;
				job_self_select.options[n]=new Option(stepselect_job[i][0],stepselect_job[i][1]);
				n++;
			}
		}
		if(n>1)job_self_select.style.display="";
	}
	if(value)
	{
		document.getElementById(name+'_id_'+table).value=value;
	}
	job_self_select.focus();
}

function get_jobson_select(name,table,value)
{
	job_son_select.options.length=1;
	job_son_select.style.display="none";
	
	if(job_self_select.value!=0)
	{		
		for(var i=0,n=1;i<stepselect_job.length;i++)
		{
			if(stepselect_job[i][2]==job_self_select.value)
			{
				job_son_select.options[n]=null;
				job_son_select.options[n]=new Option(stepselect_job[i][0],stepselect_job[i][1]);
				n++;
			}
		}
		if(n>1)job_son_select.style.display="";
	}
	if(value)
	{
		document.getElementById(name+'_id_'+table).value=value;
	}
	job_son_select.focus();
}

function get_job_value(name,table,value)
{
	if(value)
	{
		document.getElementById(name+'_id_'+table).value=value;
	}
}
//window.onload(load_job_config());